set_bulk_buffer
Prev | Chapter 10. Db_base_iterator | Next

## set_bulk_buffer

### Function Details

    bool set_bulk_buffer(u_int32_t sz)

Call this function to modify bulk buffer size.

Bulk retrieval is enabled when creating an iterator, so users later can only modify the bulk buffer size to another value, but can't enable/disable bulk read while an iterator is already alive.

#### Parameters

##### sz

The new buffer size in bytes.

#### Return Value

true if succeeded, false otherwise.

### Class

db_base_iterator

Prev | Up | Next
close_cursor | Home | get_bulk_bufsize